Bug 707875 - corosync - Remove checking of sub parameters in service.d files
Summary: corosync - Remove checking of sub parameters in service.d files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: corosync
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Jan Friesse
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-26 08:38 UTC by Jan Friesse
Modified: 2011-12-06 11:50 UTC (History)
4 users (show)

Fixed In Version: corosync-1.4.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause File in service.d directory contain something different then service key. Consequence Error message. Fix Remove strong checking of files in service.d Result Files in service.d directory can contain every possible configuration option.
Clone Of:
Environment:
Last Closed: 2011-12-06 11:50:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
Remove checking of sub parameters in service.d files (1.74 KB, patch)
2011-05-26 08:38 UTC, Jan Friesse
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1515 normal SHIPPED_LIVE corosync bug fix and enhancement update 2011-12-06 00:38:47 UTC

Description Jan Friesse 2011-05-26 08:38:17 UTC
Created attachment 501020 [details]
Remove checking of sub parameters in service.d files

Description of problem:
Remove checking of sub parameters in service.d files.



Expected results:
No checks.

Comment 1 Jan Friesse 2011-05-26 08:38:53 UTC
In GIT as fd579075cae9981fd72be84ca70dc73e841f98a0

Comment 9 Jan Friesse 2011-10-31 09:32:18 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
File in service.d directory contain something different then service key.

Consequence
Error message.

Fix
Remove strong checking of files in service.d

Result
Files in service.d directory can contain every possible configuration option.

Comment 10 errata-xmlrpc 2011-12-06 11:50:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1515.html


Note You need to log in before you can comment on or make changes to this bug.